package com.atlassian.confluence.extra.helloworldrpc;

import com.atlassian.confluence.user.AuthenticatedUserThreadLocal;
import com.atlassian.user.User;

public class HelloWorld implements HelloWorldPublic
{
    public String helloWorld()
    {
        User user = AuthenticatedUserThreadLocal.getUser();
        return (user == null) ? "Hello world" : "Hello " + user.getName();
    }
}
